%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name: cacti-lux
Version: 0.1
Release: 1%{?dist}
Summary: Cacti plugins, scripts and templates
License: GPLv2+
URL: https://www.cacti.net/

# Plugins
Source300: plugin_audit-1.0.tar.gz
Source301: plugin_cycle-4.1.tar.gz
Source302: plugin_flowview-3.3.tar.gz
Source303: plugin_gexport-2.0.tar.gz
Source304: plugin_gpsmap-2.1.tar.gz
Source305: plugin_hmib-3.2.tar.gz
Source306: plugin_mactrack-4.2.tar.gz
Source307: plugin_maint-1.1.tar.gz
Source308: plugin_mikrotik-2.4.tar.gz
Source309: plugin_monitor-2.5.tar.gz
Source310: plugin_reportit-1.1.2.tar.gz
Source311: plugin_routerconfigs-1.5.1.tar.gz
Source312: plugin_syslog-3.1.tar.gz
Source313: plugin_thold-1.5.2.tar.gz
Source314: plugin_webseer-2.0.tar.gz

# Scripts
Source500: dnsresponsetimeping-latest.tar.gz

# Templates
Source600: cacti_host_template_cisco_asa_-_security_appliance.xml.gz
# Non lo uso + in favore di cacti_graph_template__00_advanced_ping.tgz
Source601: cacti087e-advanced_ping_alt-20100719.zip
Source602: cacti-netsnmp-memory.0.7.tar.gz
Source603: cacti_graph_template_squid_-_http_service_time.xml.zip
Source604: cacti_graph_template_squid_-_hit_ratio.xml.zip
Source605: cacti_graph_template_squid_-_request_rate.xml.zip
Source606: cacti_graph_template_squid_-_http_requests.xml.zip
Source607: vmware_esx_cacti_0_1.zip
Source608: cacti_graph_template__00_advanced_ping.tgz

BuildArch: noarch

Requires: cacti

%description
A place to store various Cacti plugins, scripts and templates with no particular sense

%prep
cd %{_topdir}/BUILD
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

mkdir plugins
pushd plugins
for name in %{SOURCE300} %{SOURCE301} %{SOURCE302} %{SOURCE303} %{SOURCE304} %{SOURCE305} %{SOURCE306} %{SOURCE307} %{SOURCE308} %{SOURCE309} %{SOURCE310} %{SOURCE311} %{SOURCE312} %{SOURCE313} %{SOURCE314}
do
	tar xzvf $name
	#unzip $name
	name2=$(basename $name)

	if [[ $name2 =~ ^cacti-plugin-.* ]] ; then
echo CASO 1
		namedest=$(echo $name2 | sed -e's/^cacti-plugin-//' -e 's/[-_.][^/]*//')
		namesrc=cacti-plugin-$namedest
	elif [[ $name2 =~ ^plugin_.* ]] ; then
echo CASO 2
		namedest=$(echo $name2 | sed -e's/^plugin_//' -e 's/[-_.][^/]*//')
		namesrc=plugin_$namedest
	else
echo CASO 3
		namedest=$(echo $name2 | sed -e 's/[-_.][^/]*//')
		namesrc=$namedest
	fi

echo $namesrc
echo $namedest
ls
	if ls -d ${namesrc}* | grep -q [-_.] ; then
		mv -n ${namesrc}* $namedest
	fi
done
popd

mkdir scripts
mkdir extensions

mkdir addscripts
pushd addscripts
for name in %{SOURCE500}
do
       tar xzvf $name
       mv -n *.pl ../scripts
       mv -n *.xml ../extensions
done
popd
rmdir addscripts

mkdir -p resource/script_server

mkdir addtemplates
pushd addtemplates
for name in %{SOURCE600}
do
       cp $name .
       gzip -d *.gz
       mv -n *.xml ../extensions
done

#unzip %{SOURCE601}
#mv -n scripts/* ../scripts
#mv -n *.xml ../extensions
#rmdir scripts

tar xzvf %{SOURCE602}
mv -n cacti-netsnmp-memory/scripts/* ../scripts
mv -n cacti-netsnmp-memory/templates/* ../extensions
rmdir cacti-netsnmp-memory/scripts
rmdir cacti-netsnmp-memory/templates
rmdir cacti-netsnmp-memory

for name in %{SOURCE603} %{SOURCE604} %{SOURCE605} %{SOURCE606}
do
       unzip $name
done
mv -n *.xml ../extensions
rm -rf __MACOSX

for name in %{SOURCE607}
do
       unzip $name
done
mv -n scripts/* ../scripts
pwd
ls -l 
ls -l ..
mv -n resource/script_server/* ../resource/script_server
mv -n *.xml ../extensions
rmdir scripts
rmdir resource/script_server
rmdir resource

tar xzvf %{SOURCE608}
mv -n cacti_graph_template__00_advanced_ping.xml ../extensions
rm -f ss_fping.php

popd
rmdir addtemplates

%build
cd %{_topdir}/BUILD
cd %{name}-%{version}
# Nothing to build

%install
[ "$RPM_BUILD_ROOT" != '/' ] && rm -rf -- "$RPM_BUILD_ROOT"

cd %{_topdir}/BUILD
cd %{name}-%{version}
%{__install} -d -m 0755 %{buildroot}/%{_datadir}/cacti/
%{__install} -d -m 0755 %{buildroot}/%{_localstatedir}/lib/cacti/
#%{__mv} *.php %{buildroot}/%{_datadir}/%{name}/
#%{__mv} cache/ %{buildroot}/%{_localstatedir}/lib/%{name}/
#%{__mv} cli/ %{buildroot}/%{_localstatedir}/lib/%{name}/
%{__mv} resource/ %{buildroot}/%{_localstatedir}/lib/cacti/
%{__mv} scripts/ %{buildroot}/%{_localstatedir}/lib/cacti/
%{__cp} -ar plugins/ %{buildroot}%{_datadir}/cacti/

%files
%doc %{name}-%{version}/extensions
%{_datadir}/cacti/plugins/
%attr(-,apache,apache) %{_localstatedir}/lib/cacti/resource/script_server/*.xml
%attr(-,apache,apache) %{_localstatedir}/lib/cacti/scripts/*.php
%attr(-,apache,apache) %{_localstatedir}/lib/cacti/scripts/*.pl

%changelog

